###
 # @Author: JinxuChen
 # @Date: 2021-11-15
 # @LastEditTime: 2021-12-02 15:17:38
 # @LastEditors: JinxuChen
 # @Description: In User Settings Edit
 # @FilePath: \GpsCardAdmin\setup_test.sh
###
#!/usr/bin/env bash
npm -v
npm config set registry https://registry.npm.taobao.org
npm config list
npm install
npm run build-test

image_version=$version
# 删除镜像
docker rmi -f $(
  docker images | grep 139.224.254.18:5000/gps_card_admin_web | awk '{print $3}'
)
# 构建gps_card_admin:$image_version镜像
docker build . -t telpo/gps_card_admin_web:$image_version;
#TODO:推送镜像到私有仓库
echo '=================开始推送镜像======================='
docker tag telpo/gps_card_admin_web:$image_version 139.224.254.18:5000/gps_card_admin_web:$image_version
docker push 139.224.254.18:5000/gps_card_admin_web:$image_version
echo '=================推送镜像完成======================='
#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images