###
 # @Author: JinxuChen
 # @Date: 2021-11-15
 # @LastEditTime: 2021-12-02 15:17:27
 # @LastEditors: JinxuChen
 # @Description: In User Settings Edit
 # @FilePath: \GpsCardAdmin\setup_production.sh
###
#!/bin/bash
npm -v
npm install
npm run build
image_version=$version;
# 删除镜像
 docker rmi -f $(docker images | grep registry.cn-shanghai.aliyuncs.com/gps_card/gps_card_admin_web | awk '{print $3}')

docker build . -t telpo/gps_card_admin_web:$image_version;
#TODO:推送镜像到阿里仓库
echo '=================开始推送镜像======================='
#docker login --username=telpo_linwl@1111649216405698 --password=telpo#1234 registry.cn-shanghai.aliyuncs.com;
docker login --username=rzl_wangjx@1111649216405698 --password=telpo.123 registry.cn-shanghai.aliyuncs.com
docker tag telpo/gps_card_admin_web:$image_version registry.cn-shanghai.aliyuncs.com/gps_card/gps_card_admin_web:$image_version
docker push registry.cn-shanghai.aliyuncs.com/gps_card/gps_card_admin_web:$image_version
echo '=================推送镜像完成======================='
#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images;
